MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025154Open CASCADE[OCCT] OCCT:Codingpublic2014-08-15 13:552014-11-11 13:02
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025154: Collections in BRepMesh package are named in non-conformant manner
DescriptionIn OCCT we have convention that name of the global class should start from name of the package where it is defined, separated and the class, separated by underscore, and normally the class is defined in the file with same name (see http://dev.opencascade.org/doc/overview/html/occt_dev_guides__coding_rules.html#occt_coding_rules_2_2 [^]).

Modifications made for 0025039 broke this convention for collection classes defined in BRepMesh: now they are all defined in file BRepMesh_Collections.hxx, have names without package prefix but put in namespace BRepMeshCol.

The conformance to naming conventions is crucial in many situations, e.g. automatic tools working with the code, SWIG wrapper etc. Please restore it!
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023106closedbugmaster Open CASCADE BRepMesh_IncrementalMesh returns wrong status 

-  Notes
(0030849)
git (administrator)
2014-08-18 17:51

Branch CR25154_1 has been created by oan.

SHA-1: 8f97aa3a8e1585b62ab52e60b39dcc34311d8e2f


This branch includes the following new commits:

       new 38a402a 0025154: Collections in BRepMesh package are named in non-conformant manner
       new 8f97aa3 Replace std collections by OCCT ones


Detailed log of new commits:

commit 8f97aa3a8e1585b62ab52e60b39dcc34311d8e2f
Author: oan
Date: Mon Aug 18 13:46:01 2014 +0400

    Replace std collections by OCCT ones

commit 38a402a340d10881625026a049a0837bb46265cc
Author: oan
Date: Mon Aug 18 12:14:44 2014 +0400

    0025154: Collections in BRepMesh package are named in non-conformant manner
(0031820)
git (administrator)
2014-09-17 17:00

Branch CR25154_2 has been created by oan.

SHA-1: 2615a6d8db87d93ceb32ed8c49e93245d32fb36d


Detailed log of new commits:

Author: oan
Date: Wed Sep 17 17:00:32 2014 +0400

    Adaptation of BRepMesh API for SWIG
(0031825)
oan (developer)
2014-09-17 17:34

Necessary changes have been introduced into BRepMesh package to fit it for wrapping tools such as SWIG. Corresponding interface for wrapping of TKMesh package have been implemented and put to products repository. Advanced C# samples have also been changed to be compatible with SWIG 3.0.2. Wrapping functionality is checked using SWIG v2.0.12 as well as v3.0.2.

Please review branches CR25154_2 in OCCT and Products repository.
(0032512)
git (administrator)
2014-10-01 16:06

Branch CR25154_3 has been created by abv.

SHA-1: 6942192c5be99f19ec2f9787227e3c3a32846969


Detailed log of new commits:

Author: oan
Date: Wed Sep 17 17:00:32 2014 +0400

    0025154: Collections in BRepMesh package are named in non-conformant manner
    
    - BRepMesh converted to nocdlpack,
    - Collections are defined in namespace BRepMesh,
    - Doxygen comments corrected to use @ instead of \.
(0032517)
abv (manager)
2014-10-01 16:31

Partially reviewed, please test branch CR25154_3 in OCCT Git. Changes in SWIG wrapper are separated in issues #25311 and #25312
(0032519)
abv (manager)
2014-10-01 16:48

Reviewed, please test branch CR25154_3 in OCCT Git.

For the fixes made in C# wrapper I have created two separate issues: #25311 and #25312.

Note that the current fix does not completely resolve the problem, as collection instances still do not follow common rules for the class name (package_class) and not defined in same-name header file; also BRepMesh.hxx redefines several existing collections of elementary types available in TColStd and TColgp package (such as SequenceOfReal). This is to be addressed later.
(0032587)
apv (tester)
2014-10-02 15:18

Dear BugMaster,

Branch CR25154_3 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 6942192c5be99f19ec2f9787227e3c3a32846969

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 3 (3 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 397373696 / 397669948
Total CPU difference: 45114.4200000002 / 46596.14000000006

Testing on Windows:
Total MEMORY difference: 278393516 / 279236240
Total CPU difference: 39284.6875 / 39387.8125
(0033453)
git (administrator)
2014-10-21 16:43

Branch CR25154_3 has been deleted by inv.

SHA-1: 6942192c5be99f19ec2f9787227e3c3a32846969
(0033478)
git (administrator)
2014-10-21 16:45

Branch CR25154_2 has been deleted by inv.

SHA-1: 2615a6d8db87d93ceb32ed8c49e93245d32fb36d
(0033493)
git (administrator)
2014-10-21 16:45

Branch CR25154_1 has been deleted by inv.

SHA-1: 8f97aa3a8e1585b62ab52e60b39dcc34311d8e2f

- Related Changesets
occt: master 848fa7e3
Timestamp: 2014-09-17 13:00:32
Author: oan
Committer: bugmaster
Details ] Diff ]
0025154: Collections in BRepMesh package are named in non-conformant manner

- BRepMesh converted to nocdlpack,
- Collections are defined in namespace BRepMesh,
- Doxygen comments corrected to use @ instead of \.
mod - adm/UDLIST Diff ] File ]
rm - src/BRepMesh/BRepMesh.cdl Diff ] File ]
add - src/BRepMesh/BRepMesh.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Circle.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CircleInspector.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CircleTool.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CircleTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Classifier.hxx Diff ] File ]
rm - src/BRepMesh/BRepMesh_Collections.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DiscretFactory.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Edge.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_EdgeChecker.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_EdgeTessellator.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceAttribute.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceAttribute.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceChecker.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscret.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscret.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscretFace.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscretFace.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_GeomTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.hxx Diff ] File ]
add - src/BRepMesh/BRepMesh_OrientedEdge.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_PairOfIndex.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_PairOfPolygon.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_SelectorOfDataStructureOfDelaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_SelectorOfDataStructureOfDelaun.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ShapeTool.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ShapeTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Triangle.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Vertex.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexInspector.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireChecker.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireChecker.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireInterferenceChecker.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireInterferenceChecker.hxx Diff ] File ]
mod - src/BRepMesh/FILES Diff ] File ]
mod - src/MeshTest/MeshTest.cdl Diff ] File ]
mod - src/StdPrs/StdPrs.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-15 13:55 abv New Issue
2014-08-15 13:55 abv Assigned To => oan
2014-08-15 16:47 oan Relationship added child of 0023106
2014-08-18 17:51 git Note Added: 0030849
2014-09-17 17:00 git Note Added: 0031820
2014-09-17 17:20 oan Status new => assigned
2014-09-17 17:34 oan Note Added: 0031825
2014-09-17 17:34 oan Assigned To oan => abv
2014-09-17 17:34 oan Status assigned => resolved
2014-10-01 16:06 git Note Added: 0032512
2014-10-01 16:30 abv Relationship added related to 0025311
2014-10-01 16:30 abv Relationship added related to 0025312
2014-10-01 16:31 abv Note Added: 0032517
2014-10-01 16:31 abv Assigned To abv => bugmaster
2014-10-01 16:31 abv Status resolved => reviewed
2014-10-01 16:48 abv Note Added: 0032519
2014-10-01 17:21 apv Assigned To bugmaster => apv
2014-10-02 15:16 apv Test case number => Not needed
2014-10-02 15:18 apv Note Added: 0032587
2014-10-02 15:18 apv Assigned To apv => bugmaster
2014-10-02 15:18 apv Status reviewed => tested
2014-10-03 14:07 bugmaster Changeset attached => occt master 848fa7e3
2014-10-03 14:07 bugmaster Status tested => verified
2014-10-03 14:07 bugmaster Resolution open => fixed
2014-10-21 16:43 git Note Added: 0033453
2014-10-21 16:45 git Note Added: 0033478
2014-10-21 16:45 git Note Added: 0033493
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker